[ooo-build-commit] bin/unpack
Kohei Yoshida
kohei at kemper.freedesktop.org
Fri Jul 24 08:21:16 PDT 2009
bin/unpack | 15 +++++++++++++++
1 file changed, 15 insertions(+)
New commits:
commit 8dc240285ca6cb073c2aa7fbcf99c54368c1ddf6
Author: Kohei Yoshida <kyoshida at novell.com>
Date: Fri Jul 24 11:19:42 2009 -0400
Copy all images in src/default_images into build during unpack.
* bin/unpack:
diff --git a/bin/unpack b/bin/unpack
index 013c8f7..e7ca4e1 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -718,6 +718,21 @@ if test -d $OOBUILDDIR/ooo_custom_images/tango/res ; then
$GNUCP $TOOLSDIR/src/tango_mainapp_16.png $OOBUILDDIR/ooo_custom_images/tango/res/mainapp_16.png || exit 1;
fi
+# Copy extra ooo-build specific images into build. All files under default_images
+# are copied into the build recursively.
+cd $SRCDIR
+for IMGFILE in `find default_images -type f`; do
+ # TODO: maybe we should check if the file is really an image file ?
+ DIRNAME=`dirname $IMGFILE` || exit 1
+ BASENAME=`basename $IMGFILE` || exit 1
+ if test ! -e "$OOBUILDDIR/$DIRNAME"; then
+ # directory doesn't exist in the build directory. Make it.
+ mkdir -p $OOBUILDDIR/$DIRNAME || exit 1
+ fi
+ echo placing $BASENAME to $OOBUILDDIR/$DIRNAME/$BASENAME ...
+ $GNUCP $IMGFILE $OOBUILDDIR/$DIRNAME/$BASENAME || exit 1
+done
+
if test "z$PIECE" = "z"; then
if test "x$OOO_EXTRA_ARTWORK" != "x"; then
More information about the ooo-build-commit
mailing list